import request from '@/utils/request'

// 分页查询剧院
export const pageList = (query) => {
  return request({
    url: '/member/memberInfo/list',
    method: 'get',
    params: query
  })
}

// 取消认证状态
export function updateAuthStatus(data) {
  return request({
    url: '/member/memberInfo/updateAuthStatus?id=' + data.id,
    method: 'get'
  })
}

// 加入黑名单
export function addBlackList(data) {
  return request({
    url: '/member/memberInfo/addBlackList?id=' + data.id,
    method: 'get'
  })
}


// ID获取详情
export function getSelectById(id) {
  return request({
    url: '/merchant/merchantTheatre/selectById?id=' + id,
    method: 'get'
  })
}

// 删除模板
export const deleteById = (id) => {
  return request({
    url: '/merchant/merchantTheatre/deleteById',
    method: 'delete',
    params: {id:id}
  })
}
